#######################################################
##  makefile.q2                                      ##
## -- Project file for SymEdit and SymDll.           ##
#######################################################
all: symedit.exe 

.c.obj:
    cl -c -ASw -G2w -Od -Zdipe -W3 -DSTRICT $(DEFS) $<

symedit.obj: symedit.c symedit.h symdll.h
symbase.obj: symbase.c symdll.h symhook.h symbase.h
symhook.obj: symhook.c symdll.h symhook.h symbase.h

symedit.exe:   symedit.obj symedit.def symedit.rc \
  symdll.dll
    link /NOD/MA symedit,,, libw slibcew symdll, \
      symedit.def
    rc $(DEFS) symedit

symdll.dll:   symbase.obj symhook.obj symdll.def
    link /NOD/MA/CO symbase symhook libentry, \
      symdll.dll,, libw sdllcew toolhelp, symdll.def
    implib symdll.lib symdll.def
